---
title: Restart Instance
url: https://docs.vultr.com/products/compute/instances/cloud-gpu/management/restart-instance
description: A guide explaining how to properly restart your Vultr Cloud GPU instance when needed.
publish_date: 2024-09-23T20:20:08.995347Z
last_updated: 2026-05-26T18:47:51.733915Z
---

# How to Restart a Vultr Cloud GPU Instance

Restarting an instance performs a hard reboot and stops all running processes on your server before starting them again. Restarting does not alter the instance data or file system and enables the application of updates or configuration changes that require a reboot.

Follow this guide to restart a Vultr Cloud GPU instance using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Cloud GPU instance to open its management page.
    1. Click **Server Restart** on the top-right navigation menu to restart your server.
    1. Click **Restart Server** in the confirmation prompt to apply changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note the target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Reboot Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/reboot-instances) to restart the instance.

        ```console
        $ curl "https://api.vultr.com/v2/instances/reboot" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "instance_ids" : [
              "instance_id"
            ]
          }'
        ```

=== "Vultr CLI"

    1. List all instances in your Vultr account and note the target instance's ID.

        ```console
        $ vultr-cli instance list
        ```

    1. Restart the target instance.

        ```console
        $ vultr-cli instance restart <instance_id>
        ```
